#version 150

in vec3 in_Position;
in vec3 in_Normal;
out vec3 normal;

uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;

void main(void)
{
    gl_Position = projectionMatrix * modelViewMatrix * vec4(in_Position, 1.0);
    normal = mat3(modelViewMatrix) * in_Normal; // No non-uniform scaling
}
